import type { SpanTableData } from '../type';
const formatSpanTableData = (data: SpanTableData[]) => {
  const spanData: SpanTableData[] = [];
  const uniqueItems: string[] = [];

  // 找出不同的检查项目
  data.forEach((item) => {
    if (!uniqueItems.includes(item.inspectItem)) {
      uniqueItems.push(item.inspectItem);
    }
  });

  // 重新组织数据，添加序号
  uniqueItems.forEach((item, index) => {
    const itemData = data.filter((dataItem) => dataItem.inspectItem === item);
    itemData.forEach((data) => {
      data.index = index + 1;
    });
    spanData.push(...itemData);
  });

  return spanData;
};

export { formatSpanTableData };
